ARMv8MBL_s_ns project
============================

The **ARMv8MBL_s_ns** project is a simple demo program for
ARM **ARMv8MBL** microcontroller using ARM **V2M-MPS2+** Evaluation Board.
Compliant to Cortex Microcontroller Software Interface Standard (CMSIS).

Example functionality
---------------------
Clock Settings:
  - XTAL  =  50 MHz
  - CCLK  =  25 MHz

The example demonstrates the interworking between secure and non-secure mode
on an ARMv8M Baseline microcontroller.

Available targets
-----------------
  - Fast Model:           configured for ARMv8M Fast Model Simulator
  - V2M-MPS2:             configured for MPS2 (uses ULINKpro as debugger)
  - V2M-MPS2 MTB:         configured for MPS2 (uses ULINKpro as debugger)\
                          MTB trace enabled (use image AN486.AN486VJM.rbe)
  - V2M-MPS2 ETM:         configured for MPS2 (uses ULINKpro as debugger)\
                          ETM trace enabled (use image AN486.AN486VJE.rbe)


MPS2 image: AN486

--------------------------------------------

Secure Application:
 Setup core.
 Initialize LEDs.
 LED0:  function call from Secure to Secure code                                    using Secure SysTick.
 LED1:  function call from Secure to NonSecure code via registered function pointer using Secure SysTick.

NonSecure Application:
 LED7:  function call from NonSecure to NonSecure code                             using NonSecure SysTick.
 LED6:  function call from NonSecure to Secure Code via exported Secure functions  using NonSecure SysTick.
 LED5:  function call from NonSecure to NonSecure code                             using while loop.
 LED4:  function call from NonSecure to Secure code via exported Secure functions  using while loop.


Note:
  MPS2 image has no NonSecure SysTick
